#ifndef __POS_H__
#define __POS_H__

class Pos {
 public:
  Pos(double _lat = 35.471226, double _lon = 139.619236, int _zoom = 13);
  Pos(int _x, int _y, int _zoom);

  void setPos(int _x, int _y);
  void setZoom(int _zoom);
  void setLatLon(double _lat, double _lon);

  Pos &offset(int _x, int _y);
  Pos &offset_clip(int _x, int _y);
  bool zoomup(int zoom);

  void normalize();

  int getX() const;
  int getY() const;
  int getZoom() const;

  double getLat();
  double getLon();

 private:
  int x;
  int y;
  int zoom;		// zoom lebel: 1(micro)-19(macro)
};

#endif // __POS_H__

