#ifndef __SCALE_H__
#define __SCALE_H__

class QPixmap;
class QString;
class QPaintEvent;
class Pos;

class Scale{
  public:
	Scale(QPixmap *pix, Pos *center);
	bool paintEvent(QPaintEvent *e);
	bool pressEvent(QMouseEvent *e);
	bool releaseEvent(QMouseEvent *e);
	bool moveEvent(QMouseEvent *e);
	QRect rect();
	QPoint topLeft();

  private:
	void loadImage();

	QPixmap *scr;
	Pos *center;
	QPixmap slider;
	QPixmap nob;

	bool is_button;

	const QPoint slider_base;
	const QPoint nob_center;
	const QPoint slider_mul;
};

#endif // __SCALE_H__
